Bug 445359 - On a dual screen setup all popup windows show up on the second monitor [NEEDINFO]
On a dual screen setup all popup windows show up on the second monitor
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 10:06 EDT by John (J5) Palmieri
Modified: 2013-03-13 00:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 12:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mcepl: needinfo? (johnp)


Attachments (Terms of Use)
screen capture of issue (the side with the panel is the external display) (272.93 KB, video/ogg)
2008-05-06 10:06 EDT, John (J5) Palmieri
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 433338 None None None Never

  None (edit)
Description John (J5) Palmieri 2008-05-06 10:06:57 EDT
Description of problem:

When hovering over a button or using the typeahead/history feature of the URL
bar the window for the tooltip or typeahead selection show up on the laptop
monitor while firefox is on the external display.  If I move firefox to the
laptop monitor it seems fine.  I just right clicked for spell check and it
happened with that popup window also.
  
How reproducible:

I am not sure if this happens all of the time but once it starts happening the
behaviour is consistent. 

Steps to Reproduce:
1. open firefox on the external monitor
2.type something in the url bar or hover over an icon or right click for a
context menu 
  
Actual results:

popup windows show up on the laptop screen

Expected results:

popup windows show up on the external monitor in the correct location
Comment 1 John (J5) Palmieri 2008-05-06 10:06:57 EDT
Created attachment 304634 [details]
screen capture of issue (the side with the panel is the external display)
Comment 2 George Billios 2008-05-11 04:46:04 EDT
I notice similar problem in my setup.

Large desktop, two screens side to side in Twinview (NVidia) configuration, left
one is primary. 

When firefox is on the left screen and right click on a page the pop-up comes up
under the pointer. If I move firefox to the second screen and right click, the
pop-up menu come up on the left edge of the right screen.

This wasn't the issue with Firefox 2 only with firefox 3.

Version : firefox-3.0-0.60.beta5.fc9.i386

Can be always reproduced. 
Comment 3 Matěj Cepl 2008-05-12 12:32:04 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=433338) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 4 Matěj Cepl 2010-09-03 08:16:06 EDT
John, could you please reply to https://bugzilla.mozilla.org/show_bug.cgi?id=433338#c3

Note You need to log in before you can comment on or make changes to this bug.